using Avalonia.Controls.ApplicationLifetimes;
using Avalonia.Data.Core.Plugins;
using Avalonia.Markup.Xaml;
using SocialEducatorAvalonia.ViewModels;
using SocialEducatorAvalonia.Views;

namespace SocialEducatorAvalonia
{
    public partial class App : Application
    {
        public override void Initialize()
        {
            AvaloniaXamlLoader.Load(this);
        }

        public override void OnFrameworkInitializationCompleted()
        {
            if (ApplicationLifetime is IClassicDesktopStyleApplicationLifetime desktop)
            {
                // Line below is needed to remove Avalonia data validation.
                // Without this line you will get duplicate validations from both Avalonia and CT
                BindingPlugins.DataValidators.RemoveAt(0);

                var dc = new MainWindowViewModel();

                desktop.MainWindow = new MainWindow
                {
                    DataContext = dc,
                };

                ViewModelBase.MainVM = dc;
            }

            base.OnFrameworkInitializationCompleted();
        }
    }
}