﻿using CommunityToolkit.Mvvm.ComponentModel;
using Newtonsoft.Json;

namespace SocialEducatorAvalonia.DTOs
{
    /// <summary>
    /// Класс нужный для считывания данных студента. Сериализации для Json и работа с функцией
    /// </summary>    
    [Serializable]
    public partial class Persons : ObservableObject
    {
        [ObservableProperty]
        [property: JsonIgnore]
        double _id;

        [ObservableProperty]
        [property: JsonProperty("fio")]
        string _fIO = string.Empty;

        [ObservableProperty]
        [property: JsonProperty("name")]
        string _name  = string.Empty;

        [ObservableProperty]
        [property: JsonProperty("surname")]
        string _surname = string.Empty;

        [ObservableProperty]
        [property: JsonProperty("patronymic")]
        string _patronymic = string.Empty;

        [ObservableProperty]
        [property: JsonIgnore]
        string _group = string.Empty;

        [ObservableProperty]
        [property: JsonIgnore]
        string _status = string.Empty;

        [ObservableProperty]
        [property: JsonProperty("student_group_id")]
        int _studentGroupId;

        [ObservableProperty]
        [property: JsonProperty("student_status_id")]
        int _studentStatusId;

        [ObservableProperty]
        [property: JsonProperty("admission_date")]
        short? _dataAdmission;

        /// <summary>
        /// Переопределение метода Equals, сравнение всех полей
        /// </summary>
        /// <param name="other">Другой объект класса</param>
        /// <returns>Равны ли два объекта по полям, или нет</returns>
        public bool Equals(Persons other)
        {
            if (other == null) return false;
            return FIO == other.FIO && Group == other.Group && Status == other.Status && DataAdmission == other.DataAdmission && Name == other.Name &&
                Surname == other.Surname && Patronymic == other.Patronymic;
        }
    }
}
