﻿using Avalonia.Controls;
using Avalonia.Media;
using CommunityToolkit.Mvvm.ComponentModel;
using SocialEducatorAvalonia.ViewModels;

namespace SocialEducatorAvalonia.Utilities
{
    /// <summary>
    /// Элемент левой панели для MainViewModel
    /// </summary>
    public class ListItemTemplate : ObservableObject
    {
        /// <summary>
        /// Название для элемента
        /// </summary>
        public string Label { get; }
        /// <summary>
        /// Страница для перехода
        /// </summary>
        public ViewModelBase Page { get; }
        /// <summary>
        /// Иконка из Assets/Icons.axaml
        /// </summary>
        public StreamGeometry ListItemIcon { get; }

        public ListItemTemplate(string label, ViewModelBase pageSwitcher, string iconKey)
        {
            this.Label = label;
            this.Page = pageSwitcher;
            Application.Current!.TryFindResource(iconKey, out var res);
            ListItemIcon = (StreamGeometry)res!;
        }
    }
}
