﻿using CommunityToolkit.Mvvm.ComponentModel;
using SocialEducatorAvalonia.ViewModels;

namespace SocialEducatorAvalonia.Utilities
{
    /// <summary>
    /// Объект с одной вкладкой
    /// </summary>
    public class TabListItem : ObservableObject
    {
        /// <summary>
        /// Отображаемое название
        /// </summary>
        public string Header { get; }

        /// <summary>
        /// Страница - ViewModel
        /// </summary>
        public ViewModelBase TabContent { get; }

        /// <summary>
        /// Конструктор для инициализации экземпляра вкладки
        /// </summary>
        /// <param name="header">Отображаемое название вкладки</param>
        /// <param name="tabContent">Страница - ViewModel</param>
        public TabListItem(string header, ViewModelBase tabContent)
        {
            Header = header;
            TabContent = tabContent;
        }
    }
}
