﻿using CommunityToolkit.Mvvm.ComponentModel;
using SocialEducatorAvalonia.Utilities;
using System.Collections.Generic;

namespace SocialEducatorAvalonia.ViewModels
{
    public partial class AddDataToDbViewModel : ViewModelBase
    {
        /// <summary>
        /// Отображаемая коллекция вкладок
        /// </summary>
        readonly static List<TabListItem> _tabsCollection =
        [
            new TabListItem("Студенты", new AddStudentViewModel()),
            new TabListItem("Выплаты", new AddPaymentsViewModel()),
            new TabListItem("Группы", new AddGroupViewModel()),
            new TabListItem("Типы выплат", new AddTypeOfPaymentViewModel())
        ];

        public static List<TabListItem> TabsCollection { get => _tabsCollection; }

        [ObservableProperty]
        TabListItem _selectedBtn = _tabsCollection[0];

        /// <summary>
        /// Конструктор для создания класса
        /// </summary>
        /// <param name="tab">1 - Студенты, 2- Выплаты, 3 - Группы, 4 - Типы выплат</param>
        public AddDataToDbViewModel(int tab)
        {
            switch (tab)
            {
                case 1:
                    SelectedBtn = TabsCollection[0];
                    break;
                case 2:
                    SelectedBtn = TabsCollection[1];
                    break;
                case 3:
                    SelectedBtn = TabsCollection[2];
                    break;
                case 4:
                    SelectedBtn = TabsCollection[3];
                    break;
                default:
                    break;
            }
        }

    }
}