﻿using CommunityToolkit.Mvvm.ComponentModel;
using CommunityToolkit.Mvvm.Input;
using SocialEducatorAvalonia.Utilities;
using System.Collections.Generic;
using System.ComponentModel;

namespace SocialEducatorAvalonia.ViewModels
{
    public partial class MainWindowViewModel : ViewModelBase, INotifyPropertyChanged
    {
        #region for pane and elements
        [ObservableProperty]
        bool _isPaneOpen = true;

        [RelayCommand]
        void TriggerPane() => IsPaneOpen = !IsPaneOpen;

        public static int DataEditorTab { get; set; } = 0;
        public static int AddDataTab { get; set; } = 0;
        
        void ActionsToChangePage(ref ListItemTemplate? value)
        {
            if (value is null) return;
            if (value.Page is null) return;

            if (value.Page is AddDataToDbViewModel vm)
                vm.SelectedBtn = AddDataToDbViewModel.TabsCollection[AddDataTab];

            if (value.Page is DataEditorViewModel devm)
                devm.SelectedBtn = DataEditorViewModel.TabsCollection[DataEditorTab];

            PageSwitcher.View = value.Page;
        }

        public void ChangeView(ListItemTemplate value) => ActionsToChangePage(ref value!);
        partial void OnSelectedListItemChanged(ListItemTemplate value) => ActionsToChangePage(ref value!);

        public static List<ListItemTemplate> ListItems { get => _listItems; set => _listItems = value; }

        static List<ListItemTemplate> _listItems = [
             new ListItemTemplate("Студенты", new DataEditorViewModel(DataEditorTab), "people_community_regular"),
             new ListItemTemplate("Работа с данными", new AddDataToDbViewModel(AddDataTab), "table_freeze_row_regular" )
        ];
        #endregion

        [ObservableProperty]
        ListItemTemplate _selectedListItem;

        public MainWindowViewModel() => SelectedListItem = ListItems[0];
    }
}
